﻿
@{
    ViewBag.Title = "Attendance sheet advancesd reports";
    Layout = null;
    var baseUrl = UrlHelpers.HomeUrl();
}
@model  SignOutSheetPdfSchoolViewModel
<html>
<head>
    <meta charset="utf-8">
    <title>Sign-Out Sheet Reports</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <style>
        /*common table code start*/

        @@font-face {
            font-family: "PT Serif Caption";
            font-style: normal;
            font-weight: 400;
            src: local("Cambria"),local("PT Serif Caption"),local("PTSerif-Caption"),url(https://themes.googleusercontent.com/static/fonts/ptserifcaption/v6/7xkFOeTxxO1GMC1suOUYWWhBabBbEjGd1iRmpyoZukE.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Light";
            font-style: normal;
            font-weight: 300;
            src: local("Segoe UI Light"),local("Open Sans Light"),local("OpenSans-Light"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/DXI1ORHCpsQm3Vp6mXoaTZ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans";
            font-style: normal;
            font-weight: 400;
            src: local("Segoe UI"),local("Open Sans"),local("OpenSans"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/K88pR3goAWT7BTt32Z01mz8E0i7KZn-EPnyo3HZu7kw.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Bold";
            font-style: normal;
            font-weight: 700;
            src: local("Segoe UI Bold"),local("Open Sans Bold"),local("OpenSans-Bold"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/k3k702ZOKiLJc3WVjuplzJ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        * {
            font-family: 'Segoe UI','Open Sans',Verdana,Arial,Helvetica,sans-serif;
            font-weight: normal;
            font-style: normal;
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            -ms-box-sizing: border-box;
            -o-box-sizing: border-box;
            box-sizing: border-box;
        }


        /*common table code end*/
    </style>
    <link href="@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/flyer/FlyerStyle.css")" rel="stylesheet" />
    <style>
        .structure-gray th {
            white-space: nowrap !important;
        }

        .jbt-table-custom p, .jbt-table-custom p span {
            font-size: 13px !important;
        }

        .jbt-table-custom hr {
            color: #eee !important;
            box-shadow: none !important;
        }

        .structure-divider-large:not(:last-child) {
            page-break-after: always;
        }
    </style>
</head>
<body>
    <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray break-table-page">
        <tr>
            <td colspan="3" class="structure-bold structure-text-center td-box-logo">

                @if (!string.IsNullOrEmpty(Model.ClubLogo) && Model.ClubLogo.ToLower().Contains("http"))
                {
                    <img class="report-logo" src="@Model.ClubLogo" />
                }
                else
                {
                    <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, Model.ClubLogo)" />
                }

                @if (!string.IsNullOrEmpty(Model.SchoolLogo) && Model.SchoolLogo.ToLower().Contains("http"))
                {
                    <img class="report-logo" src="@Model.SchoolLogo" />
                }
                else
                {
                    <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, Model.SchoolLogo)" />
                }

            </td>
        </tr>
    </table>

    @foreach (var item in Model.Programs)
    {
        <div class="structure-divider-large">

            <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray break-table-page">
                <tr>
                    <td class="structure-bold structure-h3 " colspan="2"><span>@item.ClassName</span></td>
                    <td colspan="2" class="structure-text-right structure-bold structure-h3 "><span>@item.SchoolName</span></td>
                </tr>
                <tr>
                    <td style="white-space:nowrap !important">Days of week</td>
                    <td>@item.ClassDays</td>
                    <td colspan="4" class="structure-text-right structure-bold structure-h3 "><span>Check - In/Out Sheet</span></td>
                </tr>
                <tr>
                    <td style="white-space:nowrap !important">Time</td>
                    <td>@item.StrTime</td>
                    <td colspan="2" class="structure-text-right structure-bold structure-h3"><span>@item.SeasonName</span></td>
                </tr>
                <tr>
                    <td style="white-space:nowrap !important">Instructor</td>
                    <td>@item.Instructor</td>
                    <td colspan="2">&nbsp;</td>
                </tr>
                <tr>
                    <td style="white-space:nowrap !important">Location</td>
                    <td>@item.Location</td>
                    <td colspan="2">&nbsp;</td>
                </tr>
                <tr>
                    <td style="white-space:nowrap !important">Report date</td>
                    <td>@item.ReportDate</td>
                    <td colspan="2">&nbsp;</td>
                </tr>
            </table>

            @if (@item.ProgramParticipants != null)
            {
                <table class="jbt-table-custom" ng-show="">
                    <tr class="structure-gray">
                        <th rowspan="2" style="max-width:50px;width:50px;">#</th>
                        <th>Student name</th>
                        <th>Teacher name</th>
                        <th>Grade</th>
                        @for (int i = 0; i < item.DatesOfDay.Count(); i++)
                        {
                            <th colspan="2">@item.DatesOfDay[i]</th>
                        }

                    </tr>
                    <tr class="structure-gray">
                        <th>Student phone</th>
                        <th>Transport home</th>
                        <th>Date of birth</th>
                        @for (int i = 0; i < item.DatesOfDay.Count(); i++)
                        {
                            <th style="max-width:40px;width:40px;">IN</th>
                            <th style="max-width:40px;width:40px;">OUT</th>
                        }

                        @*<th style="max-width:40px;width:40px;">IN</th>
                            <th style="max-width:40px;width:40px;">OUT</th>
                            <th style="max-width:40px;width:40px;">IN</th>
                            <th style="max-width:40px;width:40px;">OUT</th>
                            <th style="max-width:40px;width:40px;">IN</th>
                            <th style="max-width:40px;width:40px;">OUT</th>*@
                    </tr>
                    @foreach (var participant in item.ProgramParticipants)
                    {
                        <tr>
                            <td class="structure-text-center">@participant.Number</td>
                            <td class="structure-text-center">
                                <p><span style="font-size:10px !important">@participant.ParticipantName</span> <hr style="margin: 4px;" /><span style="font-size:10px !important">@participant.Phone</span></p>
                            </td>
                            <td class="structure-text-center">
                                <p style="font-size:10px !important"><span style="font-size:10px !important">@participant.TeacherName</span><hr style="margin: 4px;" /><span style="font-size:11px !important">@participant.TransportHome</span></p>
                            </td>
                            <td class="structure-text-center">
                                <p style="font-size:10px !important"><span style="font-size:10px !important">@participant.Grade</span><hr style="margin: 4px;" /><span style="font-size:11px !important">@participant.DoB</span></p>
                            </td>
                            @for (int i = 0; i < item.DatesOfDay.Count(); i++)
                            {
                                <td class="structure-text-center">&nbsp;</td>
                                <td class="structure-text-center">&nbsp;</td>
                            }
                            @*<td class="structure-text-center">&nbsp;</td>
                                <td class="structure-text-center">&nbsp;</td>
                                <td class="structure-text-center">&nbsp;</td>
                                <td class="structure-text-center">&nbsp;</td>
                                <td class="structure-text-center">&nbsp;</td>
                                <td class="structure-text-center">&nbsp;</td>
                                <td class="structure-text-center">&nbsp;</td>
                                <td class="structure-text-center">&nbsp;</td>*@
                        </tr>


                    }




                </table>
            }

        </div>
    }

</body>
</html>
